package com.bonus.core.customer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bonus.core.customer.dto.CustInfoDTO;
import com.bonus.core.customer.dto.CustPayDTO;
import com.bonus.core.customer.vo.CustInfoVo;
import com.bonus.core.customer.vo.CustPayVO;
import com.bonus.domain.CustInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustInfoMapper extends BaseMapper<CustInfo> {

   CustInfo selectOne(CustInfo custInfo);
   int updateById(CustInfo custInfo);

   CustInfoVo queryCustInfoDetail(@Param("info") CustInfo info);

   CustInfoVo queryCustInfo(@Param("info") CustInfoDTO info);

   List<CustPayVO> getCustPayVO(@Param("custPayDTO") CustPayDTO custPayDTO);
}
